Bug 1094161 - (CVE-2018-11236) VUL-0: CVE-2018-11236: glibc: 32bit arch integer overflow in stdlib/canonicalize.c when processing very long pathname arguments
(CVE-2018-11236)
VUL-0: CVE-2018-11236: glibc: 32bit arch integer overflow in stdlib/canonical...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Andreas Schwab
Security Team bot
https://smash.suse.de/issue/206154/
CVSSv3:SUSE:CVE-2018-11236:7.8:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-22 09:13 UTC by Alexander Bergmann
Modified: 2019-03-04 16:33 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-05-22 09:13:01 UTC
CVE-2018-11236

stdlib/canonicalize.c in the GNU C Library (aka glibc or libc6) 2.27 and
earlier, when processing very long pathname arguments to the realpath function,
could encounter an integer overflow on 32-bit architectures, leading to a
stack-based buffer overflow and, potentially, arbitrary code execution.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-11236
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-11236.html
https://sourceware.org/bugzilla/show_bug.cgi?id=22786
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5460617d1567657621107d895ee2dd83bc1f88f2
Comment 1 Swamp Workflow Management 2018-05-23 14:00:10 UTC
This is an autogenerated message for OBS integration:
This bug (1094161) was mentioned in
https://build.opensuse.org/request/show/611653 Factory / glibc
Comment 3 Swamp Workflow Management 2018-06-06 13:08:01 UTC
SUSE-SU-2018:1562-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1086690,1094150,1094154,1094161
CVE References: CVE-2017-18269,CVE-2018-11236,CVE-2018-11237
Sources used:
SUSE OpenStack Cloud 7 (src):    glibc-2.22-62.13.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    glibc-2.22-62.13.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    glibc-2.22-62.13.2
SUSE Linux Enterprise Server 12-SP3 (src):    glibc-2.22-62.13.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    glibc-2.22-62.13.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    glibc-2.22-62.13.2
SUSE Enterprise Storage 4 (src):    glibc-2.22-62.13.2
SUSE CaaS Platform ALL (src):    glibc-2.22-62.13.2
OpenStack Cloud Magnum Orchestration 7 (src):    glibc-2.22-62.13.2
Comment 4 Swamp Workflow Management 2018-06-07 22:15:53 UTC
openSUSE-SU-2018:1600-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1086690,1094150,1094154,1094161
CVE References: CVE-2017-18269,CVE-2018-11236,CVE-2018-11237
Sources used:
openSUSE Leap 42.3 (src):    glibc-2.22-19.1, glibc-2.22-19.2, glibc-testsuite-2.22-19.2, glibc-utils-2.22-19.1
Comment 9 Swamp Workflow Management 2018-07-19 13:12:42 UTC
SUSE-SU-2018:1991-1: An update that solves three vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1082318,1092877,1094150,1094154,1094161
CVE References: CVE-2017-18269,CVE-2018-11236,CVE-2018-11237
Sources used:
SUSE Linux Enterprise Module for Development Tools 15 (src):    glibc-2.26-13.3.1, glibc-utils-src-2.26-13.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    glibc-2.26-13.3.1
Comment 10 Swamp Workflow Management 2018-07-27 12:47:53 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2018-08-10.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/64092
Comment 12 Swamp Workflow Management 2018-08-01 16:09:01 UTC
openSUSE-SU-2018:2159-1: An update that solves three vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1082318,1092877,1094150,1094154,1094161
CVE References: CVE-2017-18269,CVE-2018-11236,CVE-2018-11237
Sources used:
openSUSE Leap 15.0 (src):    glibc-2.26-lp150.11.6.120, glibc-testsuite-src-2.26-lp150.11.6.120, glibc-utils-src-2.26-lp150.11.6.120
Comment 13 Swamp Workflow Management 2018-08-03 19:17:49 UTC
SUSE-SU-2018:2185-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1051791,1064569,1064580,1064583,1094161
CVE References: CVE-2017-12132,CVE-2017-15670,CVE-2017-15671,CVE-2017-15804,CVE-2018-11236
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    glibc-2.19-40.16.950
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    glibc-2.19-40.16.950
Comment 14 Swamp Workflow Management 2018-08-03 19:19:48 UTC
SUSE-SU-2018:2187-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1051791,1064569,1064580,1064583,1074293,1094161
CVE References: CVE-2017-12132,CVE-2017-15670,CVE-2017-15671,CVE-2017-15804,CVE-2018-1000001,CVE-2018-11236
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    glibc-2.19-22.27.958
Comment 15 Swamp Workflow Management 2018-08-10 19:08:20 UTC
SUSE-SU-2018:2302-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1077763,1079625,1086690,1094161
CVE References: CVE-2018-11236
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    glibc-2.11.3-17.110.14.1
SUSE Linux Enterprise Server 11-SP4 (src):    glibc-2.11.3-17.110.14.1
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    glibc-2.11.3-17.110.14.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    glibc-2.11.3-17.110.14.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    glibc-2.11.3-17.110.14.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    glibc-2.11.3-17.110.14.1
Comment 16 Swamp Workflow Management 2018-10-18 18:00:03 UTC
SUSE-SU-2018:1562-2: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1086690,1094150,1094154,1094161
CVE References: CVE-2017-18269,CVE-2018-11236,CVE-2018-11237
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    glibc-2.22-62.13.2
Comment 17 Andreas Schwab 2019-03-04 16:33:42 UTC
Fixed.